curl --request GET \
--url https://api.example.com/invoices/report/export/pdf.zip \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/invoices/report/export/pdf.zip"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/invoices/report/export/pdf.zip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Export a filtered set of invoices as a ZIP of their PDF representation
Capped at 500 matching invoices per request — PDF generation for many invoices in one request can be slow, this is a known limit for this first version.
Authorizations
API Key for authentication (format: sk_...)
Headers
Required for Supabase session auth. Ignored when authenticating with an API key (the organization resolves from the key).
Query Parameters
Filtra por fecha de registro en Timbrix (createdAt), desde (inclusive, ISO 8601). Un valor de solo fecha (YYYY-MM-DD) se ancla al inicio del día en America/Mexico_City.
"2026-08-01"
Filtra por fecha de registro en Timbrix (createdAt), hasta (inclusive, ISO 8601). Un valor de solo fecha (YYYY-MM-DD) se ancla al final del día (23:59:59.999) en America/Mexico_City, incluyendo el día completo.
"2026-08-31"
Filtra por tipo de comprobante
I, E, T Filtra por estatus
vigente, cancelado Filtra por RFC exacto del receptor
"XAXX010101000"
Filtra por entorno. Ignorado para peticiones autenticadas con API key (siempre se usa el entorno de la key). Para una sesión de Supabase, por defecto es 'production' — pasa este parámetro para incluir CFDI de sandbox.
sandbox, production Response
ZIP con los PDF